<?php
/**
* phpCan v.1
*
* $Id: paths.php 8 2009-06-08 21:54:24Z lito $
*
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

$scenePath = $config->scenes[$vars->getScene()]['path'];

$paths = array(
	'scene' => $scenePath,
	'scene-actions' => $scenePath.'actions/',
	'scene-events' => $scenePath.'events/',
	'scene-data' => $scenePath.'data/',
	'scene-templates' => $config->paths['web'].$config->scenes[$vars->getScene()]['templates'],
	'scene-config' => $scenePath.'config/',
	'scene-uploads' => $config->paths['web'].$config->scenes[$vars->getScene()]['uploads'],
	'scene-includes' => $scenePath.'includes/',
	'scene-languages' => $scenePath.'languages/',

	'www-scene' => $vars->getScene('main') ? $config->paths['www'] : $config->paths['www'].$vars->getScene().'/',
	'www-scene-templates' => $config->paths['www'].$config->scenes[$vars->getScene()]['templates'],
	'www-scene-uploads' => $config->paths['www'].$config->scenes[$vars->getScene()]['uploads'],

	'admin-actions' => $config->paths['admin'].'actions/',
	'admin-events' => $config->paths['admin'].'events/',
	'admin-data' => $config->paths['admin'].'data/',
	'admin-templates' => $config->paths['admin'].'templates/',
	'admin-config' => $config->paths['admin'].'config/',
	'admin-includes' => $config->paths['admin'].'includes/',
	'admin-languages' => $config->paths['admin'].'languages/',

	'www-admin-templates' => $config->paths['www'].'phpcan/admin/templates/',
);

$paths['www-admin'] = $paths['www-scene'].'admin/';

$config->paths += $paths;

unset($scenePath, $paths);
?>
