<?php
defined('ANS') or die();

$data->select('actividade', array(
	'fields' => '*',
	'sort' => 'data DESC',
	'limit' => 10,
	'conditions' => array(
		'activo' => 1
	),
	'pagination' => array(
		'page' => $vars->var['page'],
		'map' => 10
	),
	'addTables' => array(
		array(
			'table' => 'comentarios',
			'fields' => '*',
			'conditions' => array(
				'activo' => 1
			)
		),
		array(
			'table' => 'imaxes',
			'fields' => '*',
			'conditions' => array(
				'activo' => 1
			)
		)
	)
), 'actividade');

$title = '- Actividade recente';
$description = 'Actualizacións e información sobre as últimas fotos e outra actividade que se fixo en Memoria de Sada.';
?>
