<?php
defined('ANS') or die();

$data->select('imaxes', array(
	'fields' => '*',
	'limit' => 1,
	'conditions' => array(
		'titulo_url' => $vars->str(0),
		'activo' => 1
	),
	'addTables' => array(
		array(
			'table' => 'categorias',
			'fields' => array('id','nome_url'),
			'limit' => 1
		),
		array(
			'table' => 'documentos',
			'fields' => '*'
		),
		array(
			'table' => 'tags',
			'fields' => '*'
		),
		array(
			'table' => 'familias',
			'fields' => '*'
		),
		array(
			'table' => 'fotografos',
			'fields' => '*',
			'conditions' => array(
				'activo' => 1
			)
		),
		array(
			'table' => 'comentarios',
			'fields' => '*',
			'conditions' => array(
				'activo' => 1
			)
		),
		array(
			'table' => 'videos_youtube',
			'fields' => '*'
		),
		array(
			'table' => 'imaxes_relacionadas',
			'fields' => '*',
			'conditions' => array(
				'activo' => 1
			)
		),
	)
), 'foto');


$title = '- '.$foto['titulo_title'];
$description = $foto['titulo_title'] . ': ' . $foto['descricion'];

$vars->var[0] = $foto['categorias']['nome_url'];

$data->select('imaxes', array(
	'fields' => array('titulo','imaxe'),
	'limit' => 1,
	'sort' => 'id DESC',
	'conditions' => array(
		'id <' => $foto['id'],
		'categorias.id' => $foto['categorias']['id'],
		'activo' => 1
	)
), 'anterior');

$data->select('imaxes', array(
	'fields' => array('titulo','imaxe'),
	'limit' => 1,
	'sort' => 'id ASC',
	'conditions' => array(
		'id >' => $foto['id'],
		'categorias.id' => $foto['categorias']['id'],
		'activo' => 1
	)
), 'seguinte');
?>
