<?php
defined('ANS') or die();

$data->register('value');

if ($categoria) {
	$value = $vars->int(1);
	$conditions = array('categorias.nome_url' => $categoria['nome_url'], 'activo' => 1);
} else {
	$value = $vars->int(0);
	$conditions = array('activo' => 1);
}

$data->select('imaxes', array(
	'fields' => 'decada',
	'order' => 'decada ASC',
	'group' => 'decada',
	'conditions' => $conditions
), 'listado_decadas');

$data->select('imaxes', array(
	'fields' => '*',
	'sort' => 'ano ASC',
	'conditions' => array(
		'decada' => $value,
    'activo' => 1
	)
), 'imaxes');

$data->register('imaxes_data');

foreach ($imaxes as $imaxe) {
	list($ano) = explode('-', $imaxe['ano']);

	$imaxes_data[$ano][] = $imaxe;
}

$title .= ' - fotos ordenadas por data';
$description = 'Fotos Memoria de Sada ordenadas por data.';
?>
