<?php defined('ANS') or die(); ?>

<?php
$thumb = new Thumb;
$thumb->config(array(
	'width' => 140,
	'height' => 140,
	'zoomcrop' => 1
));
?>

<div id="contido-estaticos">
	<div class="col12">
		<div class="doble-borde"><h2>Actividade recente</h2></div>	

		<div id="actividade" class="imaxe">
			<?php
			include($templates->loadPhp('paxinacion.php'));
      ?>
      
      <div class="separacion20"> </div>
      
      <?php
			foreach ($actividade as $cada) {
				if (($cada['tipo'] == 'comentario') && empty($cada['comentarios']['autor'])) {
					continue;
				}

				switch ($cada['tipo']) {
					case 'comentario':
						$autor = $cada['comentarios']['autor'].' fixo un novo comentario';
						$fecha = $cada['comentarios']['data'];
						$texto = $cada['comentarios']['texto'];
						break;
					case 'imaxe':
						$autor = 'Subiuse unha nova foto';
						$fecha = $cada['data'];
						$texto = $cada['imaxes']['descricion'];
						break;
				}
			?>
			<div class="item-actividade row t2 b1">
				<div class="col9 right last">
					<div class="autor">
						<?php echo $html->a($autor, path('imaxe',$cada['imaxes']['titulo_url'])); ?>
						<span class="datahora"><?php echo $fecha; ?></span>
					</div>
					<p><?php echo $texto; ?></p>
				</div>
				
				<div class="left shadow">
					<div class="content">
						<?php echo $html->a($thumb->duplicateImg($cada['imaxes']['imaxe']), path('imaxe',$cada['imaxes']['titulo_url'])); ?>
					</div>
				</div>
			</div>
			<?php } ?>
		</div>
    <div class="separacion20"> </div>
	</div>

	<?php include($templates->loadPhp('menu-estaticos.php')); ?>
	
</div>
