<?php
/**
* phpCan v.1
*
* $Id: delete_db.php 194 2009-06-25 16:19:56Z eordes $
*
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

$id = intval($vars->var['id']);
$table = $data->tableExists($vars->var['table']);

if (!$id || !$table) {
	$id = intval($vars->var[1]);
	$table = $data->tableExists($vars->var[0]);
}

if (!$table) {
	$vars->message(__('No module selected or doesn\'t exists'), 'ko');

	return false;
}

$fields = array();

foreach ($config->tables[$table] as $name => $settings) {
	if ($settings->format == 'varchar') {
		$fields[] = $name;
	}
}

$data->select($table, array(
	'fields' => $fields,
	'conditions' => array(
		'id' => $id
	),
	'limit' => 1
), 'show');

if ($show) {
	$comments = '';

	foreach ($show as $field => $value) {
		$comments .= $field.': '.$value.'<br />';
	}
} else {
	$vars->message(__('Don\'t exists the data to delete'), 'ko');

	return false;
}

$ok = $data->save($table, array(
	'delete' => array(
		'conditions' => array($table.'.id' => $id),
		'limit' => 1
	)
));

if ($ok === false) {
	$vars->message(__('Data wasn\'t deleted. Check database logs'), 'ko');

	return false;
} else {
	$session->saveActivity(array(
		'action' => $action,
		'table' => $table,
		'related_db' => $id,
		'comments' => $comments
	));
}
?>
