<?php
/**
* phpCan v.1
*
* $Id: relate_unrelate.php 194 2009-06-25 16:19:56Z eordes $
*
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

$table = $vars->var['table'];
$table_related = $vars->var['table_related'];
$id = intval($vars->var['id']);
$id_related = intval($vars->var['id_related']);
$name = $vars->var['name'];

if (!isset($config->tables[$table]) || !isset($config->tables[$table_related])) {
	$vars->message(__('Module doesn\'t exists'), 'ko');

	return false;
}

if (!$vars->var['action'] == 'relate' && !$vars->var['action'] == 'unrelate') {
	$vars->message(__('Invalid operation'), 'ko');

	return false;
}

$saved = $data->save($table, array(
	$vars->var['action'] => array(
		'id' => $id,
		'table' => $table_related,
		'name' => $name,
		'saveId' => 'last_id',
		'conditions' => array(
			'id' => $id_related
		)
	)
));

if ($saved) {
	$vars->message($vars->var['action'] == 'relate' ? __('Unrelate') : __('Relate'), 'ok');

	$session->saveActivity(array(
		'action' => $action,
		'table' => $table,
		'related_id' => $id,
		'comments' => $table_related.' > '.$id_related
	));
} else {
	$vars->message(__('Error saving data'), 'ko');
}
?>
