<?php
/**
* phpCan v.1
*
* $Id: save_config_list-db.php 194 2009-06-25 16:19:56Z eordes $
*
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

if (!is_array($vars->var['col']) || !$table = $data->tableExists($vars->var['table'])) {
	$vars->message('The incoming data is not valid', 'ko');

	return false;
}

//Choose only valid fields
$columns = array();

foreach ($vars->var['col'] as $key => $field) {
	if ($config->tables[$table][$field]) {
		$columns[] = array(
			'user' => $_SESSION['user'],
			'type' => 'list-db columns',
			'name' => $table,
			'value' => $field
		);
	}
}

$table_admin = $data->tableExists('admin');

//Delete previous config
$data->save($table_admin, array(
	'delete' => array(
		'conditions' => array(
			'user' => $_SESSION['user'],
			'type' => 'list-db columns',
			'name' => $table
		)
	)
));

//Save new config
$data->save($table_admin, array(
	'insert' => array(
		'data' => $columns
	)
));
?>
