<?php
/**
* phpCan v.1
*
* $Id: save_image_content.php 194 2009-06-25 16:19:56Z eordes $
*
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

$data->register('table', $data->tableExists($vars->var[0]));

if (!$table) {
	$vars->message(__('This table doesn\'t exists'), 'ko');

	return false;
}

$settings = $config->admin_tables[$table]['menu-row']['image-content'];

if (!$relation_table = $data->tableExists($settings['relation-table'])) {
	$vars->message(__('The content table doesn\'t exists'), 'ko');
	
	return false;
}

$ids = $vars->var['id'];

$position_x = $vars->var['position_x'];
$position_y = $vars->var['position_y'];

$position_x_default = $vars->var['position_x_default'];
$position_y_default = $vars->var['position_y_default'];

$ok = true;

foreach ($ids as $key => $id) {
	$options = array(
		'update' => array(
			'data' => array(
				$settings['relation-position'].'_x' => $position_x[$key],
				$settings['relation-position'].'_y' => $position_y[$key]
			),
			'conditions' => array(
				'id' => $id
			),
			'limit' => 1,
			'overwrite_control' => array(
				$settings['relation-position'].'_x' => $position_x_default[$key],
				$settings['relation-position'].'_y' => $position_y_default[$key]
			)
		)
	);
	$ok = $data->save($relation_table, $options);
	
	if ($ok === false) {
		break;
	}
}
$debug->showErrors();
if ($ok === false) {
	$vars->message(__('Data wasn\'t saved. Check the input data'), 'ko');
} else {
	$vars->message(__('Data was saved successfully'), 'ok');
}
?>
