<?php
/**
* phpCan v.1
*
* $Id: save_video_content.php 194 2009-06-25 16:19:56Z eordes $
*
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

$data->register('table', $data->tableExists($vars->var[0]));

if (!$table) {
	$vars->message(__('This table doesn\'t exists'), 'ko');

	return false;
}

$settings = $config->admin_tables[$table]['menu-row']['video-content'];

if (!$content_table = $data->tableExists($settings['content-table'])) {
	$vars->message(__('The content table doesn\'t exists'), 'ko');
	
	return false;
}

$ids = $vars->var['id'];

$position_x = $vars->var['position_x'];
$position_y = $vars->var['position_y'];
$time_start = $vars->var['time_start'];
$time_end = $vars->var['time_end'];

$position_x_default = $vars->var['position_x_default'];
$position_y_default = $vars->var['position_y_default'];
$time_start_default = $vars->var['time_start_default'];
$time_end_default = $vars->var['time_end_default'];

foreach ($ids as $key => $id) {
	$options = array(
		'update' => array(
			'data' => array(
				$settings['time-field'].'_start' => $time_start[$key],
				$settings['time-field'].'_end' => $time_end[$key],
				$settings['position-field'].'_x' => $position_x[$key],
				$settings['position-field'].'_y' => $position_y[$key]
			),
			'conditions' => array(
				'id' => $id
			),
			'limit' => 1,
			'overwrite_control' => array(
				$settings['time-field'].'_start' => $time_start_default[$key],
				$settings['time-field'].'_end' => $time_end_default[$key],
				$settings['position-field'].'_x' => $position_x_default[$key],
				$settings['position-field'].'_y' => $position_y_default[$key]
			)
		)
	);

	$data->save($content_table, $options);
}
?>
