<?php
/**
* phpCan v.1
*
* $Id: update_db.php 313 2009-07-15 17:59:18Z lito $
*
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

$query = $data->loadDifferentSchema();

if (!$query) {
	$vars->message(__('OK - No changes are needed in database schema :)'), 'ok');

	return true;
}

$query = implode('', $query);

$data->register('query', $data->multipleQueries($query));

if ($data->error) {
	$vars->message(__('There was errors updating the database!'), 'ko');
} else {
	$vars->message(__('Database was updated successfully'), 'ok');
}

$k = $session->saveActivity(array(
	'action' => $action,
	'comments' => $session->isInstalled() ? '' : 'install'
));

if (!$session->isInstalled()) {
	include_once ($config->paths['admin-includes'].'class_users.php');

	$users->install();

	redirect(path('login'), false);
}
?>