<?php
/**
* phpCan v.1
*
* $Id: choose_columns_db.php 194 2009-06-25 16:19:56Z eordes $
*
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

//Choose columns
$table_admin = $data->tableExists('admin');

$select_cols = $data->select($table_admin, array(
	'fields' => 'value',
	'conditions' => array(
		'user' => $_SESSION['user'],
		'type' => 'list-db columns',
		'name' => $table
	),
	'sort' => 'id'
));

$data->register('fields', array('id'));

if ($select_cols) {
	foreach ($select_cols as $col) {
		$fields[] = $col['value'];
	}
} else {
	$select_cols = array_keys($config->tables[$table]);
	$select_cols = array_unique($select_cols);
	$fields = array_slice($select_cols, 0, 5);
}

//Select all columns
$data->register('allfields');

foreach ($config->tables[$table] as $field => $object) {
	if ($field != 'id') {
		$allfields[] = $field;
	}
}
?>
