<?php
/**
* phpCan v.1
*
* $Id: content-list_db.php 194 2009-06-25 16:19:56Z eordes $
* 
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();
?>


<?php if (!$listing) { ?>
<div class="row t2 b2">
	<p class="info"><?php __e('There is not found results'); ?></p>
</div>
<?php return false; ?>
<?php } ?>

<?php include($templates->loadPhp('navigation-pages.php')); ?>

<!-- Modal content -->
<div class="row t2 b2 modal-content">
	<table id="list">
		
		<!-- Header -->
		<tr class="list-header">
			<?php include_once($templates->loadPhp('header-list.php')); ?>
		</tr>
		<!-- End Header -->
		
		<!-- Data -->
		<?php foreach ($listing as $field) { ?>
		<tr>
			<?php
			$cells = $data->groupFields($table, $field);

			foreach ($cells as $name => $value) {
				echo $templates->format($table, $name, $value, '', 'list-db');
			}
			?>
			
			<td class="actions">
				<div>
					<?php
					foreach ($row_menu as $action => $value) {
						if (!is_array($session->user['permissions']['controllers'][$action])) {
							continue;
						}

						if (!in_array($table, $session->user['permissions']['controllers'][$action])) {
							continue;
						}

						echo $html->a(__($action), path($action, $table, $field['id'])).'<br />';
					}
					?>
				</div>
			</td>
			
			<td class="actions">
				<div>
					<?php
					//Delete button
						if (in_array($table, $session->user['permissions']['table_actions']['delete_db'])) {
							echo '<span class="image delete">';
							echo $html->a(array(
									'text' => __('delete-db'),
									'href' => path().get(array(
										'phpcan_action[delete_db]' => 1,
										'table' => $table,
										'id' => $field['id']
									), false),
									'onclick' => "return linkConfirm('".__('This row will be deleted. Are you sure?')."', this, 'delete_row')"
								)
							);
							echo '</span>';
						}
					?>
				</div>
			</td>
			
		</tr>
		<?php } ?>
		<!-- End Data -->
		
	</table>
</div>
<!-- End Modal content -->
