<?php
/**
* phpCan v.1
*
* $Id: content-main.php 194 2009-06-25 16:19:56Z eordes $
* 
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();
?>

<div id="main" class="row t2">
	<h2><?php __e('Welcome to the Admin Area'); ?></h2>
</div>

<?php if ($saved_pages) { ?>
<div class="con3 t2 block">
	<h3><?php __e('Saved pages'); ?>:</h3>
	
	<ul id="list_saved_pages">
	<?php foreach ($saved_pages as $page) { ?>
		<li>
		<?php
		echo $html->a(array(
			'text' => __('Delete'),
			'href' => path().get(array(
				'url' => $page['value'],
				'action' => 'delete',
				'phpcan_action[save_config_saved-pages]' => 1
			), false),
			'title' => __('Delete'),
			'class' => 'image delete hide'
		));
		echo $html->a(array(
			'text' => __('Rename'),
			'href' => path().get(array(
				'url' => $page['value'],
				'action' => 'rename',
				'phpcan_action[save_config_saved-pages]' => 1
			), false),
			'title' => __('Rename'),
			'class' => 'option rename hide'
		));
		echo $html->a($page['name'], $page['value']);
		?>
		</li>
	<?php } ?>
	</ul>
</div>
<?php } ?>