<?php
/**
* phpCan v.1
*
* $Id: content-related_db.php 194 2009-06-25 16:19:56Z eordes $
* 
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();
?>

<script type="text/javascript">
	var relation_mode = '<?php echo $relation['mode']; ?>';
</script>

<?php if (!$listing) { ?>
<div class="row t2 b2">
	<p class="info"><?php __e('There is not found results'); ?></p>
</div>
<?php return false; ?>
<?php } ?>


<?php include($templates->loadPhp('navigation-pages.php')); ?>

<!-- Modal content -->
<div class="row t2 b2 modal-content">
	<table class="related-list">
		
		<!-- Header -->
		<tr class="list-header">
			<?php
			$colspan = 2;
			include_once($templates->loadPhp('header-list.php'));
			?>
		</tr>
		<!-- End Header -->
		
		<?php
		foreach ($listing as $field) {
			if (isset($field[$relation['title']]['related_with_'.$table])) {
				$field_relation = $field[$relation['title']]['related_with_'.$table];
			} else {
				$field_relation = 0;
			}
		?>
		<tr<?php echo $field_relation == $field['id'] ? ' class="related"' : ''; ?>>
		
			<?php
			$cells = $data->groupFields($table, $field, '', false);

			foreach ($cells as $name => $value) {
				echo $templates->format($table, $name, $value, '', 'list-db');
			}
			?>
			
			<td class="actions">
				<div>
					<?php
					if ($row_menu['edit-db'] && in_array($table, $session->user['permissions']['table_actions']['relate_unrelate'])) {
						$href = path('edit-db', $table, $field['id']).get(array(
							'relate_table' => $relation['table'],
							'relate_name' => $relation['name'],
							'relate_id' => $relation['id']
						));

						echo $html->a(array(
							'text' => __('edit-db'),
							'href' => $href,
							'target' => 'modal',
							'rel' => 'update_relate',
						));
						echo ' ';
						echo $html->a(array(
							'text' => __('edit-db (new window)'),
							'title' => __('Open in new window'),
							'href' => $href,
							'target' => '_blank',
							'rel' => 'newwindow',
							'class' => 'image new-window'
						));
					}
					?>
				</div>
			</td>
			
			<td class="actions">
				<div>
					<form action="<?php echo path(); ?>" class="relate_db">
					<fieldset class="inline">
					<?php
					echo $html->formHidden($table, 'table');
					echo $html->formHidden($relation['table'], 'table_related');
					echo $html->formHidden($relation['id'], 'id_related');
					echo $html->formHidden($field['id'], 'id');
					echo $html->formHidden($relation['name'], 'name');
					echo $html->formHidden(true, 'phpcan_action[relate_unrelate]');
					echo $html->formHidden($field_relation == $field['id'] ? 'unrelate' : 'relate', 'action');
					echo $html->formSubmit($field_relation == $field['id'] ? 'Unrelate' : 'Relate');
					?>
					</fieldset>
					</form>
				</div>
			</td>
		</tr>
		<?php } ?>
	</table>
</div>
<!-- End Modal content -->
