<?php
/**
* phpCan v.1
*
* $Id: default-edit-db.php 194 2009-06-25 16:19:56Z eordes $
* 
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

global $html;

$settings = $info['object']->settings[$info['name']];
$validate = array();

if ($settings['required']) {
	$validate['required'] = true;
}
if ($settings['length_max']) {
	$validate['maxlength'] .= $settings['length_max'];
}
if ($settings['length_min']) {
	$validate['minlength'] .= $settings['length_min'];
}
?>

<div class="row t1">
	<label for="<?php echo $info['name'].$info['suffix']; ?>" class="col2">
		<?php echo format(__($info['name'])); ?>
	</label>
	
	<div class="col8 last">
		<?php
		echo $html->formText(array(
			'class' => 'col8 last',
			'id' => $info['name'].$info['suffix'],
			'name' => $info['name'].$info['suffix'],
			'value' => $info['value'],
			'error' => $info['error'],
			'overwrite_control' => $info['default'],
			'maxlength' => $settings['length_max'] ? $settings['length_max'] : null
		));
		?>
	</div>
	
	<script type="text/javascript">
		<?php echo 'rules.'.$info['name'].$info['suffix'].' = '.array2json($validate); ?>
	</script>
</div>
