<?php
/**
* phpCan v.1
*
* $Id: varchar-edit-db.php 194 2009-06-25 16:19:56Z eordes $
* 
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

global $html;

$settings = $info['object']->settings[$info['name']];

$v = array();

foreach (explode(',', $settings['values']) as $vv) {
	$v[$vv] = $vv;
}
?>

<div class="row t1">
	<label for="<?php echo $info['name'].$info['suffix']; ?>" class="col2">
		<?php echo format(__($info['name'])); ?>
	</label>

	<div class="col8 last">
		<?php
		if (count($v) > 3) {
			echo $html->formSelect($v, array(
				'class' => 'col4',
				'id' => $info['name'].$info['suffix'],
				'name' => $info['name'].$info['suffix'],
				'value' => $info['value'],
				'overwrite_control' => $info['default'],
				'error' => $info['error'],
			));
		} else {
			echo $html->formRadio($v, array(
				'class' => 'inline-block-middle',
				'id' => $info['name'].$info['suffix'],
				'name' => $info['name'].$info['suffix'],
				'value' => $info['value'],
				'overwrite_control' => $info['default'],
				'error' => $info['error'],
			), array(
				'class' => 'inline-block-middle sub-label col',
				'position' => 'after'
			));
		}
		?>
	</div>
	
</div>
