<?php
/**
* phpCan v.1
*
* $Id: positionxy-edit-db.php 194 2009-06-25 16:19:56Z eordes $
* 
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

global $html;

$x = $info['name'].'_x';
$y = $info['name'].'_y';

$settings = $info['object']->settings;
$validate = array();

$validate[$x]['digits'] = true;
$validate[$y]['digits'] = true;

if ($settings[$x]['required']) {
	$validate[$x]['required'] = true;
}
if ($settings[$y]['required']) {
	$validate[$y]['required'] = true;
}
if ($settings[$x]['val_max']) {
	$validate[$x]['max'] .= $settings[$x]['val_max'];
}
if ($settings[$y]['val_max']) {
	$validate[$y]['max'] .= $settings[$y]['val_max'];
}
if ($settings[$x]['val_min']) {
	$validate[$x]['min'] .= $settings[$x]['val_min'];
}
if ($settings[$y]['val_min']) {
	$validate[$y]['min'] .= $settings[$y]['val_min'];
}
?>

<div class="row t1">
	<label for="<?php echo $info['name'].$info['suffix']; ?>" class="col2">
		<?php echo format(__($info['name'])); ?>
	</label>
	
	<div class="col8 last">
		<div class="col4">
		<?php
		echo $html->formText(array(
				'value' => $info['value'][$x],
				'name' => $x.$info['suffix'],
				'id' => $x.$info['suffix'],
				'class' => 'col2',
				'overwrite_control' => $info['default'][$x],
				'error' => $info['error']['x']
			),
			array(
				'text' => __('Position x'),
				'class' => 'col1 sub-label',
			)
		);
		?>
		</div>
		
		<div class="col4 last">
		<?php
		echo $html->formText(array(
				'value' => $info['value'][$y],
				'name' => $y.$info['suffix'],
				'id' => $y.$info['suffix'],
				'class' => 'col2 last',
				'overwrite_control' => $info['default'][$y],
				'error' => $info['error']['y']
			),
			array(
				'text' => __('Position y'),
				'class' => 'col1 sub-label',
			)
		);
		?>
		</div>
	</div>

	<script type="text/javascript">
		$(document).ready(function() {
			<?php
			echo 'rules.'.$x.$info['suffix'].' = '.array2json($validate[$x]).';';
			echo 'rules.'.$y.$info['suffix'].' = '.array2json($validate[$y]).';';
			?>;
		});
	</script>
</div>
