<?php
/**
* phpCan v.1
*
* $Id: secondinterval-edit-db.php 194 2009-06-25 16:19:56Z eordes $
* 
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

global $html;

$start = $info['name'].'_start';
$end = $info['name'].'_end';
?>

<div class="row t1">
	<label for="<?php echo $info['name'].$info['suffix']; ?>" class="col2">
		<?php echo format(__($info['name'])); ?>
	</label>
	
	<div class="col8 last">
		<div class="col4">
		<?php
		echo $html->formText(array(
				'value' => $info['value'][$start],
				'name' => $start.$info['suffix'],
				'id' => $start.$info['suffix'],
				'class' => 'col2',
				'overwrite_control' => $info['default'][$start],
				'error' => $info['error']['start']
			),
			array(
				'text' => __('Start'),
				'class' => 'col1 sub-label',
			)
		);
		?>
		</div>
		
		<div class="col4 last">
		<?php
		echo $html->formText(array(
				'value' => $info['value'][$end],
				'name' => $end.$info['suffix'],
				'id' => $end.$info['suffix'],
				'class' => 'col2 last',
				'overwrite_control' => $info['default'][$end],
				'error' => $info['error']['end']
			),
			array(
				'text' => __('End'),
				'class' => 'col1 sub-label',
			)
		);
		?>
		</div>
	</div>
	<script type="text/javascript">
		$(document).ready(function() {
			<?php
			echo 'rules.'.$start.$info['suffix'].' = '.array2json(
				array(
					'number' => true,
				)
			);
			echo ';';
			echo 'rules.'.$end.$info['suffix'].' = '.array2json(
				array(
					'number' => true,
				)
			);
			echo ';';
			?>;
		});
	</script>
</div>
