$(document).ready(function () {
	$('#video-content-test').live('click', function () {
		test();
		return false;
	});
	
	$('#video-content form').live('submit', function () {
		$(this).ajaxSubmit({
			success: function (data) {
				$('#video_content_content').html(data);
			}
		});

		return false;
	});

	load_content();
});

function getIndex(array, time) {
	var posicion=-1
		for (ind=0;ind<array.length;ind++) {
			if(array[ind]==time) {
				posicion = ind;
				break;
			}
		}
	return posicion;
}

function load_content () {
	var url = $('#video_content_content').attr('rel');
	$('#video_content_content').load(url);
}

function test () {
	var data = new Array();
	var num = 0;

	$('#video-content fieldset').each(function () {
		data[num] = new Array();
		data[num]['html'] = $('.video-content-text p', this).html();
		data[num]['time'] = $('input[name^=time_start]', this).val() * 1000;
		data[num]['position_x'] = $('input[name^=position_x]', this).val();
		data[num]['position_y'] = $('input[name^=position_y]', this).val();
		
		num++;
		
		data[num] = new Array();
		data[num]['html'] = null;
		data[num]['time'] = $('input[name^=time_end]', this).val() * 1000;
		num++;
		
	});

	var times = new Array();

	for (i=0; i<data.length; i++) {
		times[i] = data[i]['time'];
	}

	clipConfig.clip.onCuepoint = [times, function(clip, point) {

 		plugin = this.getPlugin("content");

		i = getIndex(times, point);
		if(data[i]['html']) {
			plugin.css("top", data[i]['position_y']);
			plugin.css("left", data[i]['position_x']);
			plugin.fadeIn(1500);
			plugin.setHtml(data[i]['html']);
		} else {
			plugin.fadeOut(1000);
		}
	}];

	clipConfig.clip.onSeek = function() {
		plugin = this.getPlugin("content");
		plugin.fadeOut(200);
	}

	clipConfig.clip.autoplay = true;

	player = flowplayer("flowplayer_video", playerConfig, clipConfig);
	player.play();
}