<?php
/**
* phpCan v.1
*
* $Id: navigation-pages.php 194 2009-06-25 16:19:56Z eordes $
* 
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();
?>

<!-- Modal info -->
<div class="row controller-info t1">
	<?php if ($vars->var['phpcan_search']) { ?>
	<p>
		<strong><?php echo sprintf(__('You are searching by "%s"'), $vars->var['phpcan_search']); ?></strong>
		<?php echo $html->a(__('Show all'), path().get('', array('show_all'))); ?>
	</p>
	<?php } ?>
	
	<p class="left"><?php __e('%s rows founded / %s pages', $data->pagination['total'], $data->pagination['total_pages']); ?></p>
	<ul>
		<?php
		if ($data->pagination['page'] > 1) {
			echo '<li>'.$html->a(__('First'), path().get('page', 1)).'</li>';
		} else {
			echo '<li><span>'.__('First').'</span></li>';
		}

		if ($data->pagination['previous'] !== false) {
			echo '<li>'.$html->a(__('Previous'), path().get('page', $data->pagination['previous'])).'</li>';
		} else {
			echo '<li><span>'.__('Previous').'</span></li>';
		}

		for ($i = $data->pagination['first']; $i <= $data->pagination['last']; $i++) {
			echo '<li'.(($data->pagination['page'] == $i) ? ' class="select"' : '').'>'.$html->a($i, path().get('page', $i)).'</li>';
		}

		if ($data->pagination['next'] !== false) {
			echo '<li>'.$html->a(__('Next'), path().get('page', $data->pagination['next'])).'</li>';
		} else {
			echo '<li><span>'.__('Next').'</span></li>';
		}

		if ($data->pagination['page'] < $data->pagination['total_pages']) {
			echo '<li>'.$html->a(__('Last'), path().get('page', $data->pagination['total_pages'])).'</li>';
		} else {
			echo '<li><span>'.__('Last').'</span></li>';
		}
		?>
	</ul>
</div>
<!-- End Modal info -->
