<?php
/**
* phpCan v.1
*
* $Id: submenu.php 194 2009-06-25 16:19:56Z eordes $
* 
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

if (!is_array($submenu)) {
	return false;
}
?>

<!-- Sections menu -->
<ul class="tabs" id="sections-menu">
	<?php foreach ($submenu as $section => $value) { ?>
	<li<?php
		echo $html->params(array(
			'id' => 'menu-'.$section,
			'class' => $value['selec'] ? 'selec current' : NULL
		));
		?>>
		<?php echo $html->a(format($section), path()); ?>
	</li>
	<?php } ?>
</ul>
<!-- End Sections menu -->

<?php if ($submenu) { ?>

<!-- Controller menu -->
<div id="controllers-menu">

	<?php foreach ($submenu as $section => $value) { ?>
	<ul<?php
		echo $html->params(array(
			'class' => $value['selec'] ? 'current tabs' : 'tabs',
			'id' => 'menu-'.$section.'-controller'
		));
		?>>

		<?php foreach ($value['controllers'] as $controller => $selec) { ?>
		<li <?php echo $selec ? 'class="selec"' : ''; ?>>
			<?php echo $html->a(__($controller), path($controller, $value['var0'])); ?>
		</li>
		<?php } ?>

		<?php
		if (isset($row_menu[$vars->getController()]) && $section == $vars->var[0]) {
			foreach ($row_menu as $option => $value) {
		?>
		<li<?php echo $option == $vars->getController() ? ' class="selec"' : ''; ?>>
			<?php echo $html->a(__($option), path($option, true, true)); ?>
		</li>
		<?php } } ?>

	</ul>
	<?php } ?>

</div>
<!-- End Controller menu -->

<?php } ?>
