<?php
/**
* phpCan v.1
*
* $Id: boolean.php 339 2009-07-17 16:12:33Z lito $
*
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

include_once ($config->paths['includes'].'class_formats.php');

class FormatBoolean extends Formats {
	var $format = 'boolean';

	public function check ($value) {
		$this->error = array();

		$value = $value[$this->name];

		if (is_bool($value) || $value == 1 || $value == 0) {
			return true;
		} else {
			$this->error[$this->name] = __('The field contains a not valid value.');

			return false;
		}
	}

	public function valueDB ($value) {
		global $debug;

		return array($this->name => $value[$this->name] ? 1 : 0);
	}

	public function settings ($settings) {
		$this->settings = array(
			$this->name => array(
				'db_type' => 'tinyint',
				'db_length_max' => 1,
				'db_unsigned' => true,
				'db_default' => intval($settings['default']),

				'default' => intval($settings['default']),
			)
		);

		return $this->settings;
	}
}
?>
