<?php
/**
* phpCan v.1
*
* $Id: id.php 194 2009-06-25 16:19:56Z eordes $
*
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

include_once ($config->paths['includes'].'class_formats.php');

class FormatId extends Formats {
	var $format = 'id';

	public function check ($value) {
		$this->error = array();

		if (is_array($value)) {
			$value = $value[$this->name];
		}

		$settings = $this->settings[$this->name];

		if (preg_match('/^[0-9]*$/', $value)) {
			return true;
		} else {
			$this->error[$this->name] = __('The value is not a valid id.');

			return false;
		}
	}

	public function settings ($settings) {
		$this->settings = array(
			$this->name => array(
				'db_type' => 'integer',
				'db_length_max' => 10,
				'db_unsigned' => true,
				'db_incremental' => true,
				'db_key' => 'PRIMARY',
			)
		);

		return $this->settings;
	}
}
?>
