<?php
/**
* phpCan v.1
*
* $Id: class_config.php 194 2009-06-25 16:19:56Z eordes $
*
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

class Config {
	public $db = array();
	public $paths = array();
	public $tables = array();
	public $fields = array();
	public $tables_info = array();
	public $relations = array();
	public $base = array();
	public $session = array();
	public $actions = array();
	public $events = array();
	public $data = array();
	public $templates = array();
	public $controllers = array();
	public $lang = '';

	/**
	* function setLanguage (void)
	*
	* Load available languages and load
	* default one
	*/
	function setLanguage () {
		global $vars;

		$default_lang = strtolower(substr($_SERVER['HTTP_ACCEPT_LANGUAGE'], 0, 2));

		switch($this->base['language_detect']) {
			case 'subfolder':
				if (in_array($vars->var[0], $this->base['languages'])) {
					$this->lang = $vars->var[0];
					$vars->delete(0);
				} else if (in_array($default_lang, $this->base['languages'])) {
					$this->lang = $default_lang;
				}
				break;

			case 'get':
				$lang = $vars->var['lang'] ? $vars->var['lang'] : $default_lang;

				if (in_array($lang, $this->base['languages'])) {
					$this->lang = $lang;
				}
				break;
		}

		if (!$this->lang) {
			$this->lang = current($this->base['languages']);
		}
	}
}
?>
