<?php
/**
* phpCan v.1
*
* $Id: index.php 194 2009-06-25 16:19:56Z eordes $
*
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

$data = new Data;
$templates = new Templates;
$html = new Html;

//Set controller
$vars->setController();

//Gettext
if ($config->base['gettext']) {
	include_once ($config->paths['includes'].'php-gettext/streams.php');
	include_once ($config->paths['includes'].'php-gettext/gettext.php');
}

//Includes
if ($vars->isAdmin()) {
	if (is_file($config->paths['scene-includes'].'admin/basics.php')) {
		include_once ($config->paths['scene-includes'].'admin/basics.php');
	} else {
		include_once ($config->paths['admin-includes'].'basics.php');
	}
} else {
	if (is_file($config->paths['scene-includes'].'basics.php')) {
		include_once ($config->paths['scene-includes'].'basics.php');
	}
}

//Actions, data & templates
require_once ($config->paths['includes'].'actions.php');
require_once ($config->paths['includes'].'data.php');
require_once ($config->paths['includes'].'templates.php');
?>
