<?php
/**
* phpCan v.1
*
* $Id: admin_tables.php 8 2009-06-08 21:54:24Z lito $
*
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

$def_admin_config = array(
	'menu' => 'content',
	'search' => 'list-db',
	'menu-table' => array('list-db', 'new-db'),
	'menu-row' => array('edit-db'),
);
$def_texts_config = array(
	'menu' => 'texts',
	'search' => 'list-db',
	'menu-table' => array('list-db', 'new-db'),
	'menu-row' => array('edit-db'),
);

$def_admin_advanced = array(
	'menu' => 'advanced',
	'search' => 'list-db',
	'menu-table' => array('list-db', 'new-db'),
	'menu-row' => array('edit-db'),
);


$config->admin_tables = array(
	'actividade' => $def_admin_advanced,
	'categorias' => $def_admin_advanced,
	'documentos' => $def_admin_config,
	'familias' => $def_admin_config,
	'fotografos' => $def_admin_config,
	'comentarios' => $def_admin_config,
	'textos' => $def_texts_config,
	'imaxes' => array(
		'menu' => 'content',
		'search' => 'list-db',
		'direct_relations' => array(
			array(
				'table' => 'categorias',
				'field' => 'nome'
			)
		),
		'menu-table' => array('list-db', 'new-db'),
		'menu-row' => array(
			'edit-db',
			'image-content' => array(
				'image-field' => 'imaxe',
				'image-width' => 620,
				'image-height' => 460,

				'content-table' => 'tags',
				'content-width' => 50,
				'content-height' => 50,
				'content-title' => 'tag',

				'relation-table' => 'relacions_tags_imaxes',
				'relation-position' => 'posicion'
			)
		),
	),
	'tags' => $def_admin_config,
);

unset ($def_admin_config);
?>
