<?php
/**
* phpCan v.1
*
* $Id: templates.php 8 2009-06-08 21:54:24Z lito $
*
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

$config->templates = array(
	'default' => array(
		'css' => array(
			'csans.css',
			'csans-grid-940-16-20.css',
			'csans-background.css',
			'estilos.css',
		),
		'js' => array(
			'jquery-1.3.2.min.js'
		),
		'base' => 'base',
		'navegacion' => 'categoria'
	),
	'undefined' => array(),
	
	'index' => array(
		'js' => array(),
		'css' => '',
		'navegacion' => '',
		'contido' => 'portada',
	),
	'categoria' => array(
		'contido' => 'grella-categoria'
	),
	'data' => array(
		'contido' => 'grella-data'
	),
	'tags' => array(
		'contido' => 'grella-tags'
	),
	'tag' => array(
		'contido' => 'grella-tag'
	),
	'lugar' => array(
		'js' => array('jquery.jmap.js'),
		'contido' => 'grella-lugar'
	),
	'imaxe' => array(
		'js' => array(
			'jquery.jmap.js',
			'imaxe.js'
		),
		'contido' => 'foto'
	),
	'ampliar' => array(
		'base' => 'ampliar'
	),
  'comentario' => array(
    'js' => array(
			'jquery.jmap.js',
			'imaxe.js'
		),
		'contido' => 'comentario'
	),
	'actividade' => array(
		'navegacion' => '',
		'contido' => 'actividade'
	),
	'texto' => array(
		'navegacion' => '',
		'contido' => 'texto'
	),
	'fotografo' => array(
		'navegacion' => '',
		'contido' => 'fotografo'
	),
);
?>
