<?php
defined('ANS') or die();

$query = array();

if ($buscar = $vars->str('buscar')) {
	$buscador = new Search;

	$query = $buscador->like(array(
		'text' => $buscar,
		'table' => 'imaxes',
		'fields' => array('titulo_title', 'descricion', 'ano', 'lugar'),
		'field_settings' => array(
			'tag' => array(
				'table' => 'tags',
				'field' => 'tag_title',
				'search_in_all' => true
			),
			'fotografo' => array(
				'table' => 'fotografos',
				'field' => 'nome_title',
				'search_in_all' => true
			),
			'familia' => array(
				'table' => 'familias',
				'field' => 'nome_title',
				'search_in_all' => true
			),
		)
	));

	$title = '- '.$buscar;
  $description = 'Resultados da busca: ' . $buscar;
}

$query += array(
	'fields' => '*',
	'limit' => 20,
	'sort' => 'id DESC',
	'conditions' => array(
		'activo' => 1
	),
	'pagination' => array(
		'page' => $vars->var['page'],
		'map' => 10
	)
);

if ($categoria) {
	$query['conditions']['categorias.nome_url'] = $categoria['nome_url'];
}

$data->select('imaxes', $query, 'imaxes');
?>
