<?php
defined('ANS') or die();

if ($categoria) {
	$conditions = array('categorias.nome_url' => $categoria['nome_url']);
} else {
	$conditions = array();
}

$data->select('imaxes', array(
	'fields' => 'id',
	'conditions' => $conditions,
), 'imaxes');

$ids = array();

foreach ($imaxes as $cada) {
	$ids[] = $cada['id'];
}

$data->select('tags', array(
	'fields' => '*',
	'fieldsCommands' => 'COUNT(*) as peso',
	'group' => 'tags.id',
	'sort' => 'tag_title',
	'conditions' => array(
		'imaxes.id IN' => $ids
	)
), 'tags');

foreach ($tags as $k => $cada) {
	$tags[$k]['peso'] = ($cada['peso'] > 4)?4:$cada['peso'];
}

$title .= ' - Por Tags';
?>
