<?php
defined('ANS') or die();

$data->select('textos', array(
	'fields' => '*',
	'conditions' => array(
		'localizacion' => $vars->str(0)
	),
	'limit' => 1
), 'texto');

$infotexto = '';

switch ((strtolower($texto['titulo']))) {
    case 'lizenza':
        $infotexto = 'As fotos foron cedidas por veciños e veciñas de Sada, son propiedade dos seus respectivos autores, polo que só poderán ser usadas baixo o seu consentimento. Foron cedidas para ser expostas nesta páxina, de querer utilizalas para outra cousa que non sexa a visualización nesta páxina deberás poñerte en contacto co autor correspondente. Os textos das fotos foron escritos ou recompilados por nós, podes reutilizalos sempre e cando menciones a súa orixe. Pódense distribuir baixo unha licenza Recoñecemento-Non comercial-Compartir baixo a mesma licenza. 3.0 España de Creative Commons. Esta páxina está baseada nunha idea orixinal de Riotorto no tempo, creada pola Asociación Arrincadeira xunto coa colaboración dos veciños e veciñas de Riotorto.';
        break;
    case 'memoria de sada: nós e o proxecto':
        $infotexto = 'Memoria de Sada é un arquivo fotográfico da historia de Sada. Naceu a comezos de 2012 nun curso na aula CeMIT de Sada. As fotos pertencen aos veciños e veciñas de Sada, non se poden utilizar sen o seu permiso. Detrás da páxina están Maruja Babío, Pura Pardo, Jesús Francos, Lina Andrade, Maribel Brandariz e Maise Vázquez que son os que escribiron os textos e recompilaron as fotografías, e Víctor González, que se encargou do apartado técnico e axudar coas fotos e textos.';
        break;
    case 'colabora coas túas fotos':
        $infotexto = 'Podes colaborar con Memoria de Sada achegándonos as túas fotos. Envíanolas por correo electrónico a contacto@memoriadesada.com. As fotos seguirán sendo túas, nós só as utilizaremos para poñelas aquí, en Memoria de Sada. É posible que volvamos a facer unha exposición dunha selección das fotos que temos, neste caso pode que imprimamos a túa foto para ser exposta. A exposición será sen ánimo de lucro e só coa finalidade de que a xente que non ten oportunidade de ver as fotos en internet as poida ver. Xa fixemos unha exposición en agosto de 2013, aquí podes ver algunha foto da exposición. É importante que as fotos teñan unha resolución aceptable; podes tomar como referencia 1200 x 800 píxels ou superior. Tamén é de agradecer que xunto coas fotos aportes información sobre a mesma: ano no que foi feita, lugar, nome das persoas que saen na foto, nome da romería ou evento no que foi feita, fonte ou fotógrafo que fixo a foto..., calquera dato será benvido.';
        break;
    case 'contacta':
        $infotexto = 'Podes poñerte en contacto con nós no correo electrónico contacto@memoriadesada.com';
        break;
    case 'agradecementos':
        $infotexto = 'Memoria de Sada non sería posible sen a colaboración de todos e todas as sadenses que cederon as súas fotos. Moitas gracias a todos e todas. É case imposible agradecer de xeito individual a cada persoa que cedeu fotos, sodes moitos/as e ás veces a fonte orixinal de onde saiu a foto perdeuse por pasar dunhas persoas a outras.';
        break;
    case 'coñece sada':
        $infotexto = 'Sada é un municipio da provincia da Coruña, da que dista ao redor de 18 quilómetros. Pertence ás Rías Altas e está situada na ría de Betanzos, flanqueada polos restos dos castelos de Fontán e Corbeiroa. É un pobo da costa e actualmente as súas industrias principais son a pesca e en verán o turismo. O municipio de Sada está repartido en oito parroquias: Carnoedo, Veigue, Meirás, Mondego, Mosteirón, Osedo, Soñeiro e Sada. Actualmente todo o municipio ten ao redor de 14.000 habitantes. En Meirás está o Pazo do mesmo nome e no Castro de Osedo, a Cerámica do Castro.';
        break;
    case 'fotógrafos':
        $infotexto = 'Queremos destacar aos fotógrafos que ao longo do último século foron os que reflexaron coas súas cámaras a evolución de Sada. Os fotógrafos dos que temos constancia son os seguintes: José Guillén (Bilí Bilí), Francisco Varela Posse, Sandalio, Paquín, Alejandro Rodríguez, Moneró, Pibe, Fotarte, Foto Blanco e Foto Bergantiños.';
        break;
    case 'exposición 2013':
        $infotexto = 'Do 17 ao 31 de agosto de 2013 estiveron expostas na Capela de San Roque unha selección de máis de 300 fotos do arquivo fotográfico Memoria de Sada.';
        break;
    case 'memoria de sada no culturgal 2013':
        $infotexto = 'O sábado, 30 de novembro, os creadores de Memoria de Sada levamos a páxina memoriadesada.com ao Culturgal, a Feira das Industrias Culturais de Galicia, un dos eventos culturais máis importantes da nosa comunidade con máis de 14.000 visitantes este ano. Culturgal celébrase por terceiro ano consecutivo en Pontevedra, un espazo no que a cultura galega amosa as súas novidades ou se presentan proxectos e iniciativas por parte de empresas, entidades, asociacións ou público en xeral. Entre presentacións de novidades literarias ou actividades dirixidas ao público infantil estivo este ano Memoria de Sada, que da man de Maise, Pura, Lina, Maribel e Víctor (faltaron Maruja e Jesús, que non puideron ir) contamos todo o traballo que hai detrás da páxina. Desde como xurdiu a idea a comezos do ano 2012 nun curso da aula CeMIT de Sada ata chegar ás preto de 1.500 fotografías que ten na actualidade. ';
        break;
}

$title = '- '.$texto['titulo'];
$description = $texto['titulo'] . ': ' . $infotexto;
?>
