<div id="comentarios" class="row t3">
	<div class="doble-borde"><h2>Comentarios</h2></div>

	<?php foreach ($foto['comentarios'] as $comentario) { ?>
	<div class="comentario t2 b1 clear">
		<div class="col3">
			<h3><?php echo $comentario['autor']; ?></h3>
			<p class="data"><?php echo $comentario['data']; ?></p>
		</div>

		<div class="texto-comentario col9 last">
			<p><?php echo $comentario['texto']; ?></p>
		</div>
	</div>
	<?php } ?>
</div>

<form id="formulario-comentarios" class="row t5" action="<?php echo path(); ?>" method="post">
	<fieldset class="inline">
	
		<?php
		echo $html->formText(array(
			'variable' => 'autor_comentarios',
			'class' => 'col8 last usuario',
			'autoclear' => true,
			'error' => $data->error['comentarios']['autor'] ? __('Este nome non é correcto') : ''
		), array(
			'text' => 'Introduce o teu nome',
			'class' => 'col4'
		));
		echo $html->formText(array(
			'variable' => 'email_comentarios',
			'class' => 'col8 last usuario',
			'autoclear' => true,
			'error' => $data->error['comentarios']['email'] ? __('Este mail non está ben escrito') : ''
		), array(
			'text' => 'Introduce o teu email:',
			'class' => 'col4'
		));
		echo $html->formText(array(
			'variable' => 'suma_comentarios',
			'class' => 'col8 last usuario',
			'autoclear' => true,
			'error' => $data->error['comentarios']['suma'] ? __('O resultado da suma non é correcto') : ''
		), array(
			'text' => 'Canto é cinco máis tres:',
			'class' => 'col4'
		));
		echo $html->formTextarea(array(
			'variable' => 'texto_comentarios',
			'class' => 'col8 last texto-comentario',
			'autoclear' => true,
			'error' => $data->error['comentarios']['texto'] ? __('Esqueceches escribir o texto ou este non é válido') : ''
		), array(
			'text' => 'Escribe o teu comentario:',
			'class' => 'col4'
		));

		echo $html->formHidden($foto['id'], 'imaxe_id');
		echo $html->formHidden(1, 'phpcan_action[comentar]');
		echo $html->formSubmit(array(
			'value' => __('Deixa un comentario'),
			'class' => 'right'
		));
		?>
	</fieldset>
</form>
