<?php defined('ANS') or die(); ?>

<?php $thumb = new Thumb; ?>

<div class="imaxe col12 t3 b3">
	<div id="caixa-imaxe-grande" class="shadow">
		<div class="content">
			<?php
			echo $html->img(array(
				'src' => $thumb->src($foto['imaxe'], 690, 900),
				'alt' => $foto['titulo_title'],
				'class' => 'clear t1 grande'
			));
			?>
			<a href="#" onclick="window.print(); return false;" class="imprimir-imaxe">Imprimir</a>
			 | 
			<?php
			$ampliacion = array(
				'href' => path('ampliar',$foto['titulo_url']),
				'class' => 'ampliar-imaxe',
				'text' => 'Ampliar'
				);
			echo $html->a($ampliacion);
			?>
			
			<?php if ($foto['imaxes_relacionadas']) { ?>
			<div id="imaxes-relacionadas" class="row t2">
				<h4>Imaxes relacionadas:</h4>
				
				<?php
				foreach ($foto['imaxes_relacionadas'] as $imaxe) {
					echo $html->a(array(
						'text' => $html->img($thumb->src(array(
							'src' => $imaxe['imaxe'],
							'width' => 95,
							'height' => 95,
							'zoomCrop' => true
						))),
						'href' => path('ampliar', $imaxe['titulo_url'])
					));
				}
				?>
			</div>
			<?php } ?>

		</div>
	</div>
  <div id="caixa-titulo-foto">
    <h2><?php echo $foto['titulo_title']; ?></h2>
    	<p><?php
		if ($foto['lugar']) {
			echo $foto['lugar'].', ';
		}
		if ($foto['ano']) {
			echo $foto['ano'];
		} else if ($foto['decada']) {
			echo 'década de '.$foto['decada'];
		} else {
			echo 'data descoñecida';
		}
	?></p>
    <p class="destacado"><?php echo nl2br($foto['descricion']); ?></p>
  </div>
</div>
		
<div class="imaxe col4 t3 b3 last">
	<div id="control-imaxes" class="row">
		<h4>Máis imaxes</h4>
		<?php 
		$axuste = array(
			'width' => 90,
			'height' => 90,
			'zoomCrop' => true
			);	
		$thumb->config($axuste);
		?>

		<div class="col2 shadow">
			<div class="content">
			<?php
			if ($anterior['id']) {
				echo $html->a($thumb->duplicateImg($anterior['imaxe']), path('imaxe', $anterior['titulo_url']));
			} else {
				echo $html->img($config->paths['www-scene-templates'].'img/primeira.png', 'Primeira imaxe');
			}
			?>
			</div>
		</div>

		<div class="col2 shadow last">
			<div class="content">
			<?php
			if ($seguinte['id']) {
				echo $html->a($thumb->duplicateImg($seguinte['imaxe']), path('imaxe', $seguinte['titulo_url']));
			} else {
				echo $html->img($config->paths['www-scene-templates'].'img/ultima.png', 'Última imaxe');
			}
			?>
			</div>
		</div>
	</div>
	
	<?php if ($foto['tags']) { ?>
	<p>Arquivado en: <?php echo $html->aList($foto['tags'], 'tag_title', 'tag_url', path('tag'), ', '); ?></p>
	<?php } ?>

	<?php if ($foto['familias']) { ?>
	<p>Arquivo: <?php echo $html->a($foto['familias']['nome_title'], path('categoria').get('buscar', 'familia:"'.$foto['familias']['nome_title'].'"')); ?></p>
	<?php } ?>

	<?php if ($foto['fotografos']) { ?>
	<p>Fotógrafo: <?php echo $html->a($foto['fotografos']['nome_title'], path('categoria').get('buscar', 'fotografo:"'.$foto['fotografos']['nome_title'].'"')); ?></p>
	<?php } ?>

	<?php if ($foto['videos_youtube']) { ?>
	<p>Vídeos: <br />
		<?php foreach ($foto['videos_youtube'] as $video) {
			echo $html->a(array(
				'text' => $video['titulo'],
				'href' => $video['url'],
				'target' => '_blank'
			)).'<br />';
		} ?>
	</p>
	<?php } ?>

	<?php if (($foto['posicion_y'] != '43.0000000') && ($foto['posicion_x'] != '-7.0000000') && ($foto['posicion_x'] != '0.0000000') && ($foto['posicion_y'] != '0.0000000')) { ?>
	<div class="mapa-gmaps row t2"></div>
	
	<?php echo $html->jsLink('/maps?file=api&amp;v=2&amp;sensor=false&amp;key='.$config->base['gmap_key'], 'http://maps.google.com'); ?>
	
	<script type="text/javascript">
		$(document).ready(function(){
			$('.mapa-gmaps').jmap('init', {
				'mapType': 'hybrid',
				'mapCenter': [<?php echo $foto['posicion_y']; ?>, <?php echo $foto['posicion_x']; ?>],
				'mapZoom': <?php echo $foto['posicion_z']; ?>
			}, engadirMarca);
			
			function engadirMarca () {
				$('.mapa-gmaps').jmap('AddMarker', {
					'pointLatLng': [<?php echo $foto['posicion_y']; ?>, <?php echo $foto['posicion_x']; ?>]
				});			
			}
		});
	</script>
  <div style="clear:both;">
    <div class="facebook_twitter"><a target="_blank" href="http://twitter.com/home?status=«<? echo urlencode($foto['titulo_title']) . '» http://memoriadesada.com' . path('imaxe',$foto['titulo_url']); ?>"><img src="http://memoriadesada.com/img/twittear.png" alt="Twittear" title="Comparte en twitter" width="64" height="20" border="0" /></a></div>
    <div class="facebook_twitter"><a target="_blank" href="http://www.facebook.com/share.php?u=<? echo 'http://memoriadesada.com' . path('imaxe',$foto['titulo_url']); ?>"><img src="http://memoriadesada.com/img/facebook_compartir.png" alt="Compartir en facebook" width="88" height="18" title="Comparte en facebook" border="0" /></a></div>
  </div>
	<?php } ?>


	</div>	
</div>
