<?php
/**
* phpCan v.1
*
* $Id: users.php 197 2009-06-29 18:44:58Z eordes $
*
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

require_once ($config->paths['admin'].'includes/class_users.php');

$table = $data->phpcan_tables['admin'];

if ($vars->var['old_user'] == $session->user['user']) {
	$uncheck = !in_array('users', $vars->var['extra']) || !in_array('save-user', $vars->var['actions']);
} else {
	$uncheck = false;
}

if ($vars->var['old_user']) {
	$data->select($table, array(
		'fields' => '*',
		'conditions' => array(
			'user' => $vars->str('old_user')
		)
	), 'user');

	if ($user) {
		$ok = $uncheck?false:$users->edit($user);
	} else {
		$ok = $users->add();
	}
} else {
	$ok = $users->add();
}

if ($ok === false) {
	if ($uncheck) {
		$vars->message(__('You can not disable "users" in "Menu extra utils" for your user'), 'ko');
	} else {
		$vars->message(__('Data wasn\'t saved. Check the input data'), 'ko');
	}
} else {
	$config->actions['save-user']['load'] = path('users', $vars->var['user']);
	$vars->message(__('Data was saved successfully'), 'ok');

	$session->saveActivity(array(
		'action' => $action,
		'table' => $data->phpcan_tables['admin'],
		'related_id' => $vars->var['user'],
		'comments' => $vars->var['old_user']?'updated':'new'
	));
}
?>
