<?php
/**
* phpCan v.1
*
* $Id: actions.php 197 2009-06-29 18:44:58Z eordes $
*
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt

Options:
- disabled
- check_file
- file
- load
- reload (not in Ajax)
- ajax_template (base template only in Ajax)
- ajax_data (only in Ajax)
*/

defined('ANS') or die();

$config->actions = array(
	'default' => array(
		'disabled' => false,
		'check_file' => 'validate_action'
	),

	'save-db' => array(
		'type' => 'table',
		'file' => 'save_db',
	),
	'duplicate-db' => array(
		'type' => 'table',
		'file' => 'save_db',
	),
	'delete_db' => array(
		'type' => 'table',
		'file' => 'delete_db',
		'reload' => true,
		'ajax_template' => 'simple-ajax',
		'ajax_data' => ''
	),
	'image_transform' => array(
		'type' => 'table',
		'file' => 'image_transform',
		'ajax_template' => 'simple-ajax',
		'ajax_data' => ''
	),
	'relate_unrelate' => array(
		'type' => 'table',
		'ajax_template' => 'simple-ajax',
		'ajax_data' => ''
	),
	'logout' => array(
		'reload' => true,
	),
	'login' => array(
		'load' => path(''),
	),
	'update_db' => array(
		'type' => 'admin',
		'reload' => true,
	),
	'save-user' => array(
		'type' => 'admin',
		'file' => 'users',
	),
	'save_config_list-db' => array(
		'reload' => true,
	),
	'save_config_saved-pages' => array(
		'ajax_template' => 'simple-ajax',
		'ajax_data' => ''
	),
	'save_image_content' => array(
		'file' => 'save_image_content',
	),
);
?>
