<?php
/**
* phpCan v.1
*
* $Id: templates.php 194 2009-06-25 16:19:56Z eordes $
*
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

$config->templates = array(
	'default' => array(
		'css' => array(
			'phpcan.css',
			'csans.css',
			'csans-grid-1000-10-20.css',
			'styles.css',
			'ui-theme/jquery-ui-1.7.custom.css'
		),
		'js' => array(
			'jquery/jquery-1.3.2.min.js',
			'jquery/ui.core.js',
			'jquery/jquery.form/jquery.form.js',
			'scripts.js',
		),
		'base' => 'base',
		'ajax' => 'base-ajax',
		'head' => 'head',
		'foot' => 'foot',
		'menu' => 'menu',
		'submenu' => 'submenu',
	),

	'undefined' => array(
		'content' => 'error'
	),

	'login' => array(
		'base' => 'base-minimal',
		'content' => 'login',
	),

	'index' => array(
		'content' => 'content_main',
		'submenu' => '',
	),

	'content, advanced, texts' => array(
		'content' => 'content_index',
		'submenu' => ''
	),

	'update-db' => array(
		'content' => 'content_update-db',
	),

	'checkup' => array(
		'content' => 'content_checkup',
	),

	'share-gettext' => array(
		'content' => 'content_share-gettext',
	),

	'users' => array(
		'content' => 'content_user',
	),

	'activity' => array(
		'css' => 'styles-list-db.css',
		'js' => 'scripts-list-db.js',
		'content' => 'content_activity',
	),

	'list-db' => array(
		'css' => 'styles-list-db.css',
		'js' => 'scripts-list-db.js',
		'content' => 'content_list-db',
	),

	'new-db' => array(
		'css' => array(
			'styles-edit-db.css',
			'ui-theme/ui.datepicker.css'
		),
		'js' => array(
			'jquery/jquery.validate/jquery.validate.min.js',
			'scripts-edit-db.js',
		),
		'content' => 'content_edit-db',
		'form' => 'content_edit-db.form',
	),

	'edit-db' => array(
		'css' => array(
			'styles-edit-db.css',
			'styles-related-db.css',
		),
		'js' => array(
			'jquery/jquery.validate/jquery.validate.min.js',
			'scripts-edit-db.js',
			'scripts-relate-db.js',
		),
		'content' => 'content_edit-db',
		'form' => 'content_edit-db.form',
		'related' => 'content_edit-db.related',
	),

	'related-db' => array(
		'css' => 'styles-related-db.css',
		'js' => array(
			'scripts-list-db.js',
			'scripts-relate-db.js'
		),
		'content' => 'content_related-db'
	),

	'image-content' => array(
		'css' => 'styles-image-content.css',
		'js' => array(
			'../formats/common/ui.draggable/ui.draggable.js',
			'scripts-image-content.js'
		),
		'content' => 'content-image_content'
		),
	'image-content-content' => array(
		'css' => 'styles-image-content.css',
		'js' => array(
			'scripts-image-content.js'
		),
		'content' => 'content-image_content_content'
	),
);
?>
