<?php
/**
* phpCan v.1
*
* $Id: list_db.php 194 2009-06-25 16:19:56Z eordes $
*
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

include($data->load('validate_menu_extra'));

$table = $data->tableExists('activity');

include_once($data->load('choose_columns_db'));

//Sort
$data->register('sort', $vars->var['sort']);
$sortdb = $sort;

if ($sort) {
	$sort = preg_replace('/(\w+) (ASC|DESC)/', '$1', $sort);
}

if (!$sort || $sort == $sortdb || !$config->tables[$table][$sort]) {
	$sort = 'id';
	$sortdb = 'id DESC';
}


//Select
$data->select($table, array(
	'fields' => $fields,
	'limit' => 50,
	'sort' => $sortdb,
	'pagination' => array(
		'page' => $vars->int('page'),
		'map' => 10
	)
), 'listing');
?>
