<?php
/**
* phpCan v.1
*
* $Id: new_db.php 194 2009-06-25 16:19:56Z eordes $
*
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

include($data->load('validate_controller'));


//Config (the same of edit-db)
$data->register('config_edit_db', $config->admin_tables[$table]['menu-row']['edit-db']);
$data->register('config_direct_relations', $config->admin_tables[$table]['direct_relations']);


//Default values
$data->register('result', $vars->getTableVars($table));

if (!$result) {
	foreach ($config->fields[$table] as $dbfield => $format) {
		$result[$dbfield] = $config->tables[$table][$format]->settings[$dbfield]['default'];
	}
}

//Group fields
$result = $data->groupFields($table, $result);
$default = $result;

//Select related tables as selects
$tmp_config_edit_db = $config_direct_relations;
$tmp_table = $table;
$data_suffix = '';

include($data->load('related_as_select'));

$data->register('relate_selects', $tmp_relate_selects);


//Select 1x x related tables
$data->register('related_result');

if ($vars->var['relate_table'] && $vars->var['relate_id']) {
	$relate_type = $data->getRelation($table, $vars->var['relate_table'], $vars->var['relate_name']);

	if ($relate_type['mode'] == 'x x' && $relate_type['relation_table'] != $data->phpcan_tables['relations']) {
		$related_result['table'] = $relate_type['relation_table']; 

		//Default values
		$related_result['data'] = $vars->getTableVars($relate_type['relation_table'], '_relation');

		if (!$related_result['data']) {
			foreach ($config->fields[$relate_type['relation_table']] as $dbfield => $format) {
				$related_result['data'][$dbfield] = $config->tables[$relate_type['relation_table']][$format]->settings[$dbfield]['default'];
			}
		}

		//Group fields
		$related_result['data'] = $data->groupFields($related_result['table'], $related_result['data']);
		$related_result['default'] = $related_result['data'];

		//Select related tables as selects
		$data->register('related_config_edit_db', $config->admin_tables[$related_result['table']]['menu-row']['edit-db']);
		$data->register('related_config_direct_relations', $config->admin_tables[$relate_type['relation_table']]['direct_relations']);

		$tmp_config_edit_db = $related_config_direct_relations;
		$tmp_table = $related_result['table'];
		$data_suffix = '_related';

		include($data->load('related_as_select'));

		$data->register('related_relate_selects', $tmp_relate_selects);
	}
}


//Custom templates
foreach ((array)$config_edit_db['templates'] as $name => $value) {
	$templates->assingTemplate($name, $value);
}
?>
