<?php
/**
* phpCan v.1
*
* $Id: edit_db.php 194 2009-06-25 16:19:56Z eordes $
*
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();


foreach ((array)$tmp_config_edit_db as $related_options) {
	$relate_type = $data->getRelation($tmp_table, $related_options['table'], $related_options['name']);

	//Only with x1 relations
	if ($relate_type['mode'] == 'x 1') {

		//Choose field
		if (count($config->tables[$related_options['table']][$related_options['field']]->settings) > 1) {
			$related_options['field'] = key($config->tables[$related_options['table']][$related_options['field']]->settings);
		}

		//Select data
		$fields = explode(' ', $related_options['field']);
		$fields[] = 'id';

		$relation_list = $data->select($related_options['table'], array(
			'fields' => $fields,
			'conditions' => $related_options['conditions'],
			'sort' => $related_options['sort'] ? $related_options['sort'] : $related_options['field']
		));

		foreach ($relation_list as $k => $value) {
			$txt = $value;

			unset($txt['id']);

			$txt = implode(' / ', $txt);

			$relation_list[$k] = array(
				'id' => $value['id'],
				'text' => $txt
			);
		}

		//Select name
		$relation_name = $relate_type['name'] ? $relate_type['name'] : $related_options['table'];

		//Merge data
		$tmp_relate_selects[$relation_name] = array(
			'table' => $related_options['table'],
			'name' => $relate_type['name'],
			'list' => $relation_list,
			'selected' => $tmp_result[$relate_type['join']]
		);
	} else {
		$debug->db(__('The relation mode between the tables %s and %s is not "1 x" (is "%s")', $related_options['table'], $tmp_table, $relate_type['mode']));
	}
}
?>
