<?php
/**
* phpCan v.1
*
* $Id: base.php 194 2009-06-25 16:19:56Z eordes $
* 
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">

	<head>
		<?php include($templates->load('head')); ?>
	</head>

	<body>
		
		<!-- Header -->
		<div id="header">
			<div class="page">
				<div class="col2">
					<h1 class="image phpcan-admin"><?php echo $html->a('phpCan Admin', path('')); ?></h1>
				</div>
				
				<div class="col8 last t1">
					<div id="login" class="b3">
						<?php include($templates->loadPhp('login-options.php')); ?>
					</div>
					
					<?php include($templates->load('menu')); ?>
				</div>
			</div>
		</div>
		<!-- End Header -->
		
		<!-- Content -->
		<div class="page no-collapse">
			
			<div class="row" id="sub-menu">
				<?php include($templates->load('submenu')); ?>
			</div>
			
			<?php include($templates->loadPhp('message.php')); ?>
			
			<?php include($templates->load('content')); ?>
			
		</div>
		<!-- End Content -->
		
		<!-- Foot -->
		<div class="page t2">
		
			<?php include($templates->load('foot')); ?>
			
		</div>
		<!-- End Foot -->
		
		<!-- Modal -->
		<div id="modal" class="hide">
			<div id="modal-background"></div>
			<div class="page">
				<div id="modal-menu" class="con10">
					<a id="modal-close" href="#modal-close">Close</a>
				</div>
				<div class="con10" id="modal-content">
				</div>
			</div>
		</div>
		<!-- End modal -->
		
	</body>
</html>