<?php
/**
* phpCan v.1
*
* $Id: content-video_content_content.php 194 2009-06-25 16:19:56Z eordes $
* 
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();
?>

<div class="row t2 b2" id="video-content">
	<form action="<?php echo path(); ?>" id="video-content" method="post">
	
		<div class="row t2 block">
			<div class="content p1">
				<?php
				echo $html->a(array(
					'text' => __('Test'),
					'title' => __('Test the video content before save'),
					'id' => 'video-content-test',
					'class' => 'button2',
				));
				echo ' ';
				echo $html->a(array(
					'text' => __('new-db'),
					'title' => __('Insert another content item'),
					'href' => path('new-db', $content_table).get(array(
						'relate_table' => $table,
						'relate_id' => $id
						)),
					'target' => 'modal',
					'rel' => 'load_content',
					'class' => 'button2'
				));
				echo ' ';
				echo $html->formSubmit(__('Save all'));
				?>
			</div>
		</div>
		
	<?php echo $html->formHidden(1, 'phpcan_action[save_video_content]'); ?>

	<?php
	$n = 0;
	if ($content) {
	foreach ((array)$content as $value) {
	$n++
	?>
		<fieldset class="row t1 b1">
			<?php
			echo $html->formHidden($value['id'], 'id['.$n.']');
			
			echo $html->formText(array(
				'name' => 'time_start['.$n.']',
				'value' => $value['time_start'],
				'class' => 'col1 last'
			));
			echo $html->formText(array(
				'name' => 'time_end['.$n.']',
				'value' => $value['time_end'],
				'class' => 'col1'
			));
			echo $html->formText(array(
				'name' => 'position_x['.$n.']',
				'value' => $value['position_x'],
				'class' => 'col1 last'
			));
			echo $html->formText(array(
				'name' => 'position_y['.$n.']',
				'value' => $value['position_y'],
				'class' => 'col1'
			));
			echo $html->formHidden($value['time_start'], 'time_start_default['.$n.']');
			echo $html->formHidden($value['time_end'], 'time_end_default['.$n.']');
			echo $html->formHidden($value['position_x'], 'position_x_default['.$n.']');
			echo $html->formHidden($value['position_y'], 'position_y_default['.$n.']');
			?>
			
			<div class="col5 last video-content-text">
				<div class="left">
				<?php
				echo $html->a(array(
					'text' => 'edit-db',
					'href' => path('edit-db', $content_table, $value['id']),
					'target' => 'modal',
					'class' => 'button2',
					'rel' => 'load_content',
				));
				echo ' ';
				echo $html->a(array(
					'text' => 'delete-db',
					'href' => path(true, $content_table, $value['id']).get('phpcan_action[delete_db]', 1),
					'class' => 'button2',
					'onclick' => "return linkConfirm('".__('This register will be deleted. Are you sure?')."', this, 'load_content');"
				));
				?>
				</div>
				<p class="col3 last"><?php echo ' '.$value['text']; ?></p>
			</div>
		</fieldset>
	<?php } } ?>

	</form>
</div>