<?php
/**
* phpCan v.1
*
* $Id$
* 
* 2009 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

if ($vars->var['relate_table'] && $vars->var['relate_id']) {
	$html->tabindex = rand(1, 100);
	$html->tabindex *= 100;
}
?>

<!-- Form -->
<form action="<?php echo path().get(); ?>" class="edit-db" method="post" enctype="multipart/form-data">
	<script type="text/javascript">
		var rules = new Object;
	</script>

	<?php
	//Main form
	$order = $config_edit_db['order'];
	$table_data = $table;
	$fields_data = $result;
	$fields_default = $default;
	$related_selects = $relate_selects;
	$suffix = '';

	include($templates->loadPhp('content_edit-db.form_fields.php'));

	//Relations
	if ($vars->var['relate_table'] && $vars->var['relate_id']) {
		echo $html->formHidden($vars->var['relate_table'], 'relate_table');
		echo $html->formHidden($vars->var['relate_id'], 'relate_id');
		echo $html->formHidden($vars->var['relate_name'], 'relate_name');
		
		//Relation form
		if ($related_result) {
			echo '<h4 class="row t4">'.format(__($related_result['table'])).'</h4>';

			echo $html->formHidden($related_result['table'], 'relation_table');

			$order = $related_config_edit_db['order'];
			$table_data = $related_result['table'];
			$fields_data = $related_result['data'];
			$fields_default = $related_result['default'];
			$related_selects = $related_relate_selects;
			$suffix = '_relation';

			include($templates->loadPhp('content_edit-db.form_fields.php'));
		}
	}
	?>

	<fieldset id="edit-buttons" class="col8 t4 l2">
		<div class="content">
		<?php
		echo $html->formSubmit(array(
			'value' => __('Save'),
			'name' => 'phpcan_action[save-db]',
			'id' => 'submit_save'
		));

		if ($vars->var['id'] && !isAjax()) {
			echo $html->formSubmit(array(
				'value' => __('Delete'),
				'name' => 'phpcan_action[delete_db]',
				'id' => 'submit_delete',
				'onclick' => "return submitConfirm('".__('This register will be deleted. Are you sure?')."', '".path('list-db')."');"
			));
			echo $html->formSubmit(array(
				'value' => __('Duplicate'),
				'name' => 'phpcan_action[duplicate-db]',
				'id' => 'submit_duplicate',
				'onclick' => "return submitConfirm('".__('This register will be duplicated. Are you sure?')."');"
			));
			
		} else {
			echo $html->formHidden(array(
				'value' => '1',
				'name' => 'phpcan_action[save-db]',
			));
		}
		?>
		</div>
	</fieldset>
</form>
<!-- End Form -->