<?php
/**
* phpCan v.1
*
* $Id: content-edit-related_db.php 194 2009-06-25 16:19:56Z eordes $
* 
* 2009 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();
?>

<!-- Related content -->
<div id="rel-content" class="t2 con10">
	<h1 class="row"><?php __e('Related items'); ?></h1>

	<!-- Related -->
	<?php foreach ($related_tables as $rel) { ?>
	<div class="row content-related">
		<div class="col2 label-related">
			<h2>
				<?php echo $html->a(array(
				'text' => format($rel['title'].($rel['title'] == $rel['table'] ? '' : ' <br /><small>'.$rel['table'].'</small>')),
				'href' => path('related-db', $table, $vars->var['id'], $rel['table'], $rel['name']),
				'rel' => 'relation',
				)); ?>
			</h2>
			<div class="row filter hide"><?php
				echo $html->a(array(
					'text' => __('Show all'),
					'href' => path('related-db', $table, $vars->var['id'], $rel['table'], $rel['name']).'?show_all=1',
					'class' => 'button',
					'rel' => 'show_all'
				));
				echo ' ';
				echo $html->a(array(
					'text' => __('new-db'),
					'href' => path('new-db', $rel['table']).get(array(
						'relate_table' => $table,
						'relate_name' => $rel['name'],
						'relate_id' => $vars->var['id']
						)),
					'target' => 'modal',
					'rel' => 'save_relate_db',
					'class' => 'button'
				));
			?>
			<form action="<?php echo path('related-db', $table, $vars->var['id'], $rel['table'], $rel['name']); ?>" class="related_search row t1">
				<fieldset class="inline">
					<?php
					echo $html->formText(array(
						'name' => 'phpcan_search',
						'value' => __('Search')
					));
					echo $html->formHidden(1, 'show_all');
					echo $html->formSubmit(' ');
					?>
				</fieldset>
			</form>
			</div>
			
		</div>
		<div class="col8 last content"></div>
	</div>
	<?php } ?>
	<!-- End Related -->
	
</div>
<!-- End Related content -->
