<?php
/**
* phpCan v.1
*
* $Id: content-update_db.php 195 2009-06-25 21:00:16Z eordes $
* 
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();
?>

<div class="row t2 b2">
	<div class="col3">
	
		<?php if ($data->error) { ?>
		<div class="row b1">
			<span class="error"><?php echo $data->error; ?></span>
		</div>
		<?php } ?>
		
		<form action="<?php echo path(); ?>" method="post">
			<fieldset class="inline">
				<?php
				echo $html->formSubmit(array(
					'name' => 'phpcan_action[update_db]',
					'value' => __('Launch update'),
					'disabled' => !$test
				));
				?>
			</fieldset>
		</form>
	</div>
	
	<div class="col7 last">
		<div class="block con7">

		<?php
		if ($test) {
			if (!$session->isInstalled()) {
				__e('<h3 class="warning">A new admin user will be created!!<br />Once launched the data base update you must login with user "admin" and password "phpcan".</h3>');
			} else {
				foreach ($test as $text) {
					echo '<p class="warning">'.$text.'</p>';
				}
			}
		} else {
			__e('No changes are needed in database schema :)');
		}
		?>

		</div>
	</div>
</div>
