<?php
/**
* phpCan v.1
*
* $Id: datetime-edit-db.php 194 2009-06-25 16:19:56Z eordes $
* 
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

global $html;

$settings = $info['object']->settings[$info['name']];
?>

<div class="row t1">
	<label for="<?php echo $info['name'].$info['suffix']; ?>" class="col2">
		<?php echo format(__($info['name'])); ?>
	</label>

	<div class="col8 last">
		<?php
		echo $html->formText(array(
			'class' => 'main col2',
			'id' => $info['name'].$info['suffix'],
			'name' => $info['name'].$info['suffix'],
			'value' => $info['value'],
			'overwrite_control' => $info['default'],
			'error' => $info['error']
		));
		?>
	</div>

	<?php echo $html->jsLink('../formats/common/ui.datepicker/ui.datepicker.js'); ?>
	<?php echo $html->dinamicCssLink('../formats/common/ui.datepicker/ui.datepicker.css'); ?>

	<script type="text/javascript">
		$(document).ready(function () {
			$('#<?php echo $info['name'].$info['suffix']; ?>').datepicker({
				showOn: 'button',
				dateFormat: '<?php echo $settings['englishformat']?'yy-mm-dd':'dd-mm-yy'; ?>',
				buttonImageOnly: true,
				buttonImage: '<?php echo $config->paths['www-admin-templates']; ?>/formats/common/ui.datepicker/ico-calendar.png',
				onSelect: function(text) {
					var date = new Date();
					var current_time = date.getHours()
						+':' + date.getMinutes()
						+':' + date.getSeconds();
					$('#<?php echo $info['name'].$info['suffix']; ?>').val(text + ' ' + current_time);
				}
			});
		});
	</script>
</div>
