<?php
/**
* phpCan v.1
*
* $Id: file-edit-db.php 194 2009-06-25 16:19:56Z eordes $
* 
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

global $html;

$settings = $info['object']->settings[$info['name']];
$validate = array();

if ($settings['required']) {
	$validate['required'] = true;
}

$validate['accept'] = implode('|', $settings['valid_extensions']);
?>

<div class="row t1">
	<label for="<?php echo $info['name'].$info['suffix']; ?>" class="col2">
		<?php echo format(__($info['name'])); ?>
	</label>
	
	<div class="col8 last">
		<?php
		echo $html->formFile(array(
			'id' => $info['name'].$info['suffix'],
			'name' => $info['name'].$info['suffix'],
			'overwrite_control' => $info['default'],
			'error' => $info['error']
		));

		if ($info['value']) {
			echo '<a href="'.$info['value'].'" class="small_info">'.$info['value'].'</a>';
		}
		?>
	</div>

	<script type="text/javascript">
		<?php echo 'rules.'.$info['name'].$info['suffix'].' = '.array2json($validate); ?>
	</script>
</div>
