$(document).ready(function () {
	$('.format-image-crop').click(function () {
		var process_image = $(this).attr('href');
		var id_image = $(this).attr('rel');
		var image_object = $('#' + id_image);
		var thumb_image = $(image_object).attr('src');
		var real_image = $(image_object).attr('longdesc');

		var html = '';
			html += '<div class="row b1">';
			html += '<a href="#action-image-jcrop" id="action-image-jcrop" target="none" class="button">Crop</a>';
			html += ' <span id="jcrop-coords-w"></span>';
			html += ' <span id="jcrop-coords-h"></span>';
			html += '</div>';
			html += '<div class="row b1" style="overflow-x: auto;">';
			html += '<img src="' + real_image + '" id="image-jcrop" alt="" />';
			html += '</div>';

		$('#modal-content').html(html);
		show_modal();

		$('#image-jcrop').one('mouseover', function () {
			imagesize.w = $(this).width();
			imagesize.h = $(this).height();

			$(this).Jcrop({
				onSelect: save_coords,
				onChange: save_coords,
				bgColor: 'white',
				bgOpacity: .3,
				setSelect: [10,10,imagesize.w-10,imagesize.h-10],
			});
			
			$('#action-image-jcrop').click(function () {
				var params = '&fltr=crop|' + coords.x + '|' + (imagesize.w - coords.x2) + '|' + coords.y + '|' + (imagesize.h - coords.y2);
				$.get(process_image, params, function (text) {
					if ($.trim(text)) {
						alert (text);
					}
				});
				$(image_object).attr('src', thumb_image + '&phpcan=' + (new Date()).getTime());
				hide_modal();
				return false;
			});
		});

		return false;
	});
});
var coords = new Object();
var imagesize = new Object();

//Function save_coords
function save_coords(c) {
	coords.x = c.x;
	coords.y = c.y;
	coords.x2 = c.x2;
	coords.y2 = c.y2;
	coords.w = c.w;
	coords.h = c.h;

	$('#jcrop-coords-w').html('Width: ' + coords.w);
	$('#jcrop-coords-h').html('Height: ' + coords.h);
}