<?php
/**
* phpCan v.1
*
* $Id: video_file_name-edit-db.php 194 2009-06-25 16:19:56Z eordes $
* 
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

global $html, $config;

$settings = $info['object']->settings[$info['name']];
$validate = array();

if ($settings['required']) {
	$validate['required'] = true;
}
if ($settings['length_max']) {
	$validate['maxlength'] = $settings['length_max'];
}
if ($settings['length_min']) {
	$validate['minlength'] = $settings['length_min'];
}

$validate['accept'] = implode('|', $settings['valid_extensions']);
?>

<div class="row t1">
	<label for="<?php echo $info['name'].$info['suffix']; ?>" class="col2">
		<?php echo format(__($info['name'])); ?>
	</label>
	
	<div class="col8 last">
	
		<?php if ($info['value']) { ?>
		<?php echo $html->jsLink('../formats/common/flowplayer/flowplayer-3.1.0.min.js'); ?>
		<div id="flowplayer_<?php echo $info['name'].$info['suffix']; ?>" style="display:block;width:400px;height:300px;margin-bottom:5px;">
		</div>
		<script type="text/javascript">
			flowplayer("flowplayer_<?php echo $info['name'].$info['suffix']; ?>", 
				{
					src: "<?php echo $config->paths['www-admin-templates']; ?>formats/common/flowplayer/flowplayer-3.1.0.swf",
					wmode: 'transparent'
				}, {
					clip: {
						url: '<?php echo $settings['www-media_dir'].$settings['dir'].$info['value']; ?>',
						autoPlay: false,
						scale: 'fit'
					}
				}
			);
		</script>
		<?php } ?>
		
		<?php
		echo $html->formText(array(
			'class' => 'col4',
			'id' => $info['name'].$info['suffix'],
			'name' => $info['name'].$info['suffix'],
			'value' => $info['value'],
			'overwrite_control' => $info['default'],
			'error' => $info['error']
		));
		?>
	</div>
	
	<script type="text/javascript">
		<?php echo 'rules.'.$info['name'].$info['suffix'].' = '.array2json($validate); ?>
	</script>
</div>
