<?php
/**
* phpCan v.1
*
* $Id: wymeditor-edit-db.php 194 2009-06-25 16:19:56Z eordes $
* 
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

global $html;
?>

<div class="row t1">
	<label for="<?php echo $info['name'].$info['suffix']; ?>" class="col2">
		<?php echo format(__($info['name'])); ?>
	</label>
	
	<div class="col8 last">
		<?php
		echo $html->formTextarea(array(
			'class' => 'main col8 last',
			'id' => $info['name'].$info['suffix'],
			'name' => $info['name'].$info['suffix'],
			'value' => $info['value'],
			'overwrite_control' => $info['default'],
			'error' => $info['error']
		));
		?>
	</div>

	<?php echo $html->jsLink('../formats/common/jquery.wymeditor/jquery.wymeditor.js'); ?>

	<script type="text/javascript">
		$(document).ready(function () {
			$('#<?php echo $info['name'].$info['suffix']; ?>').wymeditor();
		});

		<?php echo $html->once('
			$("form.edit-db").submit(function(){
				c = WYMeditor.INSTANCES.length;
				for(i = 0; i < c; i++)
					jQuery.wymeditors(i).update();
			});
		'); ?>
	</script>
</div>
