<?php
/**
* phpCan v.1
*
* $Id: header-list.php 194 2009-06-25 16:19:56Z eordes $
* 
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();
?>

<?php foreach ($fields as $field) { ?>
<th class="f_<?php echo $config->tables[$table][$field]->format; ?>">
	<?php echo $html->a(array(
		'text' => format($field),
		'href' => path().get('sort', ($vars->var['sort'] == "$field ASC") ? "$field DESC" : "$field ASC"),
		'class' => $sort == $field ? 'select' : ''
	)); ?>
</th>
<?php } ?>

<th class="pref_cols" colspan="2">
	<span class="image columns"><?php echo $html->a(__('Columns')); ?></span>

	<!-- Form columns list -->
	<form action="<?php echo path().get(); ?>" method="post">
		<fieldset>
			<?php echo $html->formHidden($table, 'table'); ?>

			<ul>
			<?php foreach ($allfields as $field) { ?>
				<li>
				<?php
				echo $html->formCheckbox(
					array (
						'value' => $field,
						'name' => 'col['.$field.']',
						'id' => 'col_'.$field,
						'checked' => in_array($field, $fields)
					),
					array (
						'text' => format($field),
						'position' => 'after'
					)
				);
				?>
				</li>
			<?php } ?>
			</ul>

			<?php
			echo $html->formHidden(true, 'phpcan_action[save_config_list-db]');
			echo $html->formSubmit(__('Save'));
			?>
		</fieldset>
	</form>
	<!-- End Form columns list -->
</th>
