<?php
/**
* phpCan v.1
*
* $Id: login-options.php 194 2009-06-25 16:19:56Z eordes $
* 
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();
?>

<?php
echo $html->a(__('Go to site'), $config->paths['www-scene']);

echo ' | ';

echo __('You are logged as').' '.$_SESSION['user'].' ';
echo $html->a('('.__('Logout').')', path('login').'?phpcan_action[logout]=1');

echo ' | ';

if (count($menu_scenes) > 1) {
	echo $html->formSelect($menu_scenes, array(
			'name' => 'scene_menu',
			'option_value' => 'url',
			'option_text' => 'name',
			'option_selected' => 'selected'
		),
		__('Change the scene')
	);

	echo ' | ';
}

if ($saved_pages) {
	$page_list = $saved_pages;
	array_unshift($page_list, array('name' => '---'.__('Select one').'---'));

	echo $html->formSelect($page_list, array(
		'name' => 'saved_pages',
		'option_text' => 'name',
		'option_value' => 'value'
		), __('Saved pages'));
}

if (!$page_is_saved) {
	echo $html->a(array(
		'text' => __('Save this page'),
		'href' => path().get(array(
			'url' => path(),
			'title' => $page_title,
			'action' => 'save',
			'phpcan_action[save_config_saved-pages]' => 1
			)),
		'id' => 'save_page'
	));
}
?>
