<?php
/**
* phpCan v.1
*
* $Id: paths.php 194 2009-06-25 16:19:56Z eordes $
*
* 2008 Copyright - phpCan is released under the GNU Affero GPL version 3
*
* More information at license.txt
*/

defined('ANS') or die();

$base = dirname(dirname(dirname(__FILE__)));
$base = str_replace('\\', '/', $base);

$config->paths = array(
	'web' => $base.'/',
	'cache' => $base.'/phpcan/cache/',
	'config' => $base.'/phpcan/config/',
	'formats' => $base.'/phpcan/formats/',
	'events' => $base.'/phpcan/events/',
	'includes' => $base.'/phpcan/includes/',
	'logs' => $base.'/phpcan/logs/',
	'admin' => $base.'/phpcan/admin/',

	'www' => preg_replace('#/+#', '/', '/'.preg_replace('|^'.getenv('DOCUMENT_ROOT').'|', '', $base.'/'))
);

unset($base);
?>